seo:
  title: 'Kubernetes and the open source community: We chat with Joe Beda'
  description: >-
    Our CEO sits down with Kubernetes co-creator Joe Beda to talk about the
    future of open source.
  ogTitle: 'Kubernetes and the open source community: We chat with Joe Beda'
  ogDescription: >-
    Our CEO sits down with Kubernetes co-creator Joe Beda to talk about the
    future of open source.
  noIndex: false
  ogImage: images/blog/hero-images/tech-explorers-cover.png
  ogUrl: https://about.gitlab.com/blog/kubernetes-chat-with-joe-beda
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/kubernetes-chat-with-joe-beda
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Kubernetes and the open source community: We chat with Joe Beda",
            "author": [{"@type":"Person","name":"Chrissie Buchanan"}],
            "datePublished": "2019-05-20",
          }

content:
  title: 'Kubernetes and the open source community: We chat with Joe Beda'
  description: >-
    Our CEO sits down with Kubernetes co-creator Joe Beda to talk about the
    future of open source.
  authors:
    - Chrissie Buchanan
  heroImage: images/blog/hero-images/tech-explorers-cover.png
  date: '2019-05-20'
  body: >


    Joe Beda is the Principal Engineer at VMWare and co-creator of Kubernetes.
    Beda and Craig McLuckie’s Google project to build a container orchestration
    tool has exploded and Kubernetes is now a large, open source community with
    thousands actively contributing to the project thanks to the [Cloud Native
    Computing Foundation](https://cncf.io/). In the world of open source they
    don’t get much better than Joe Beda, which is why we were thrilled to speak
    with him as part of our TechExplorers series where we sit down with the
    industry’s tech leaders.


    Joe and GitLab CEO [Sid Sijbrandij](/company/team/#sytses) went over a
    variety of topics like cloud native, Kubernetes, the business of open
    source, and many others. What was most interesting, but not surprising, was
    the integral role the open source community had in the success of these
    projects.


    “I think open source is evolving… It’s never been something that’s sat
    still. One of the lessons from Kubernetes more than anything else is that
    open source today is about community, if not more than code,” Beda says. He
    admits that right now is a tumultuous time for open source, with the line
    between product and project getting blurred. The “business” of open source
    can sometimes alienate the community that supported these initiatives in the
    first place, something many leaders will have to navigate in the years
    ahead.


    “It’s like there’s the code and the license for the code, and then there’s
    the community that builds around it. And even if it’s not a legal contract,
    I think there’s a social contract between the leaders of an open source
    project and the people who are members of that community. And I think you
    have to be very respectful of that social contract.”


    One of the most important things an open source project can do to maintain
    the trust of the community, according to Beda, is to be very explicit about
    its motivations from the beginning. At GitLab, we’ve taken this message to
    heart and have [our promises to the open source
    community](/company/stewardship/) public on our website.


    Kubernetes has already made a major impact on the way we deploy
    applications, and users continue to contribute and add to the project. “I
    think I’m still blown away with just the diversity of the projects that are
    building on top of Kubernetes,” he says. Even with recent challenges, Beda’s
    encouraged at the innovation he continues to see in open source. It all
    boils down to buy-in from the community and giving them the tools to keep
    innovating. “I think this is part of the excitement... There is a really
    vibrant set of projects that are experimenting, trying things out. And it’s
    going to be the users who decide what’s successful here.”


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/6IlyxHFedpo" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    Video directed and produced by [Aricka
    Flowers](/company/team/#arickaflowers)

    {: .note}



    ## Takeaways



    ### On the future of open source:


    >“I think open source is evolving… It’s never been something that’s sat
    still. One of the lessons from Kubernetes more than anything else is that
    open source today is about community, if not more than code.”



    ### On building an open source company:


    >“My advice to anybody who is building a company around open source is to
    understand sort of where are your levers, where is the value that you’re
    adding, and try and be creative about finding ways to add value where
    something like this can’t happen.”



    ### On the early days of Kubernetes:


    >“The real story is that there was a set of us that just wanted to be able
    to hack on some stuff and not have to go through all the process of shipping
    stuff to Google… But also we very much had the idea from the start that we
    wanted to build a community. We wanted to enable other people to own it, to
    be part of it, to really feel like they were instrumental in making it
    happen. And that’s what happened.”



    ### On enterprise cloud adoption:


    >“I think that as we start to see these enterprises start to adopt cloud,
    understanding the power dynamics and the relationship with cloud, I think
    that there is a lot of concern about how do I get some independent advice,
    independent thought, independent support that’s going to actually stay with
    me as I figure out where my position lands as I move from on-prem to cloud
    and beyond.”


    We’ll be at KubeCon Barcelona May 20 – 23, booth #S21. Learn how you can get
    started with GitLab and Kubernetes, and be sure to check out Joe Beda’s
    keynote on May 21.
  category: Open Source
  tags:
    - DevOps
    - cloud native
    - kubernetes
config:
  slug: kubernetes-chat-with-joe-beda
  featured: false
  template: BlogPost
